Bug 218985 - math/cadabra2: Update to 2.1.4
Summary: math/cadabra2: Update to 2.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-01 02:52 UTC by Yuri Victorovich
Modified: 2017-05-20 16:04 UTC (History)
2 users (show)

See Also:


Attachments
patch (3.96 KB, patch)
2017-05-01 02:52 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff
patch (6.68 KB, patch)
2017-05-17 08:24 UTC, Yuri Victorovich
no flags Details | Diff
patch (6.34 KB, patch)
2017-05-17 08:29 UTC, Yuri Victorovich
yuri: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-05-01 02:52:41 UTC
Created attachment 182203 [details]
patch

Passes poudriere.
Comment 1 Yuri Victorovich freebsd_committer 2017-05-17 08:24:03 UTC
Created attachment 182658 [details]
patch

Incorporated the patch from https://reviews.freebsd.org/D10761
Comment 2 Yuri Victorovich freebsd_committer 2017-05-17 08:29:03 UTC
Created attachment 182659 [details]
patch
Comment 3 commit-hook freebsd_committer 2017-05-20 16:04:04 UTC
A commit references this bug:

Author: tcberner
Date: Sat May 20 16:03:47 UTC 2017
New revision: 441317
URL: https://svnweb.freebsd.org/changeset/ports/441317

Log:
  Update math/cadabra2 to 2.1.4

  * Add patch patch-core_cadabra2.in, to get proper shebang in bin/cadabra2.

  PR:		218985
  Submitted by:	Yuri Victorovich <yuri@rawbw.com>
  Approved by:	Yuri Victorovich (maintainer), rakuco (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D10761

Changes:
  head/math/cadabra2/Makefile
  head/math/cadabra2/distinfo
  head/math/cadabra2/files/patch-client__server_CMakeLists.txt
  head/math/cadabra2/files/patch-core_cadabra2.in
  head/math/cadabra2/pkg-plist
Comment 4 Tobias C. Berner freebsd_committer 2017-05-20 16:04:59 UTC
Committed. Thanks.